Create User

Use the /user/create endpoint to create a new user. This is the first step in establishing a customer relationship with your program.


šŸ“˜ Note: A user record is required before you can create an account. The user should bypass all onboarding checks enforced by your program before creating an account.


Things to Note:

  • The 'user' is the foundation of all records within Spidr. A user record must exist before an account can be created (the only exception being anonymous accounts).
  • A user can be associated with one or more accounts (see here for example hierarchy). Users may also lack an account based on their onboarding status.
  • Creating a user first helps you maintain a record of all onboarding attempts and is essential for storing information for fraud prevention and "Know Your Customer" (KYC) processes.
  • Personally Identifiable Information (PII) is stored at the user level.
Body Params

POST /v1/user/create Request body

string

The session key for the user. Created via Create ZTM Session and used for ZTM checks if your program is configured for ZTM.

boolean

Indicates whether to bypass the ZTM checks if your program is configured for ZTM.

string

Unique ID that identifies the user in your system. This is your own ID for a given user if you also store/maintain user information.

string

The value of the identifier specified in idType. This may be the SSN, ITIN, or another ID depending on your program settings.

string
enum

The type of identifier required to onboard users into your program. Examples include SSN and ITIN.

Allowed:
string
enum
Defaults to en_US

The user's language and localization preference

Allowed:
string
required

The user's first name

string | null

The user's middle name

string
required

The user's last name.

string
required

The user's date of birth

string
required
length between 3 and 63

The user's email address

The user's phone number. Prefer E.164 (+country code) for international numbers; national-format numbers are parsed with default region US.

address
object
required
string
required

Required. The product the user will be assigned to. Future accounts associated with a user can still be assigned different products upon account creation.

string
enum

User's gender

Allowed:
string
enum

User's generation code, e.g. Jr., Sr., II, III

string

Spidr Template ID for identity verification

string

The primary user this user is linked to (if any)

string
enum

How the user is linked to the given user (e.g. child) or 'archive' to archive the existing linkage

Allowed:
Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json